Contents

# Syntax

This section describes the basic syntax elements of LibreOfficeDev Basic. For a detailed description please refer to the LibreOfficeDev Basic Programming Guide which is available separately.

## Using Variables

The following describes the basic use of variables in LibreOfficeDev Basic.

## Using the Object Catalog

The object catalog provides an overview of all modules and dialogs you have created in LibreOfficeDev.

## Using Procedures, Functions and Properties

The following describes the basic use of procedures, functions and properties in LibreOfficeDev Basic.

## Libraries, Modules and Dialogs

The following describes the basic use of libraries, modules and dialogs in LibreOfficeDev Basic.